up.sample {waveslim} | R Documentation

## Upsampling of a vector

### Description

Upsamples a given vector.

### Usage

    up.sample(x, f, y = NA)

### Arguments

`x` | vector of observations
`f` | frequency of upsampling; e.g, 2, 4, etc.
`y` | value to upsample with; e.g., NA, 0, etc.

### Value

A vector twice its length.

### Author(s)

B. Whitcher

### References

Any basic signal processing text.

[Package waveslim version 1.7.5.1 Index]